/**
 * Copyright (c) 2013 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See license text file delivered with this project for more information.
 */

package com.nokia.example.statusshout.engine;

import javax.microedition.content.Invocation;

/**
 * Simple interface for receiving the outcome of a sharing event.
 */
public interface ShareListener {
    void onSending();
    void onSuccess(String message);
    void onError(String errorMessage);
    void onAuthenticated(OAuthService service);
    void onLaunchedWithInvocation(Invocation invocation);
}
